
/* General */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background: #111;
    color: white;
    line-height: 1.6;
}

/* Navigation */

header {
    background: rgba(0,0,0,.8);
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

nav {
    max-width: 1200px;
    margin: auto;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav h1 {
    font-size: 28px;
}

nav ul {
    display: flex;
    list-style: none;
    gap: 30px;
}

nav a {
    color: white;
    text-decoration: none;
    transition: .3s;
}

nav a:hover {
    color: #4da6ff;
}

/* Hero */

.hero {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    background:
        linear-gradient(rgba(0,0,0,.45), rgba(0,0,0,.45)),
        url("../images/hero.jpg");

    background-size: cover;
    background-position: center;
}

.hero h2 {
    font-size: 3rem;
}

.hero p {
    font-size: 1.3rem;
    margin: 20px 0;
}

.button {
    display: inline-block;
    padding: 15px 35px;
    background: #4da6ff;
    color: white;
    text-decoration: none;
    border-radius: 8px;
    transition: .3s;
}

.button:hover {
    background: #2b8be8;
}

/* Featured */

.featured {
    max-width: 1200px;
    margin: auto;
    padding: 80px 20px;
}

.featured h2 {
    text-align: center;
    margin-bottom: 50px;
}

.cards {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
}

.card {
    background: #222;
    padding: 40px;
    border-radius: 12px;
    width: 300px;
    text-align: center;
    font-size: 1.2rem;
}

.card h3 {
    margin-top: 15px;
}

/* Footer */

footer {
    background: #000;
    text-align: center;
    padding: 30px;
}